## org.apache.aries.subsystem.core.internal
Class SubsystemResolverHook

    java.lang.Object
      org.apache.aries.subsystem.core.internal.SubsystemResolverHook

All Implemented Interfaces:
  org.osgi.framework.hooks.resolver.ResolverHook

    public class SubsystemResolverHook

extends Object
implements org.osgi.framework.hooks.resolver.ResolverHook

Constructor Summary
`SubsystemResolverHook(Subsystems subsystems)`

Method Summary
`void` `end()`
`void` `filterMatches(org.osgi.framework.wiring.BundleRequirement requirement, Collection<org.osgi.framework.wiring.BundleCapability> candidates)`
`void` `filterResolvable(Collection<org.osgi.framework.wiring.BundleRevision> candidates)`
`void` `filterSingletonCollisions(org.osgi.framework.wiring.BundleCapability singleton, Collection<org.osgi.framework.wiring.BundleCapability> collisionCandidates)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubsystemResolverHook

    public SubsystemResolverHook(Subsystems subsystems)

Method Detail

### end

    public void end()

  Specified by:
    `end` in interface `org.osgi.framework.hooks.resolver.ResolverHook`

### filterMatches

    public void filterMatches(org.osgi.framework.wiring.BundleRequirement requirement,
                              Collection<org.osgi.framework.wiring.BundleCapability> candidates)

  Specified by:
    `filterMatches` in interface `org.osgi.framework.hooks.resolver.ResolverHook`

### filterResolvable

    public void filterResolvable(Collection<org.osgi.framework.wiring.BundleRevision> candidates)

  Specified by:
    `filterResolvable` in interface `org.osgi.framework.hooks.resolver.ResolverHook`

### filterSingletonCollisions

    public void filterSingletonCollisions(org.osgi.framework.wiring.BundleCapability singleton,
                                          Collection<org.osgi.framework.wiring.BundleCapability> collisionCandidates)

  Specified by:
    `filterSingletonCollisions` in interface `org.osgi.framework.hooks.resolver.ResolverHook`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.